# SPB-Linux configuration file (version 2.1)
# (http://spblinux.sf.net (c) Christian Ostheimer)
#
# default variable settings from init5.bz2 (or init6.bz2):
#     might be replaced (=commented out) by kernel parameter
#     spbconf or by file /spblinux/spbcfg in device cfgdev,
#     if kernel parameter spbconf=......,cfgdev=hda5,.....
#     ===> multiple definitions of same variable: last definition is used
#
#use dumpkmap to create a binary file with your preferred key settings and
#   copy it to etc/keys/keymap.xy (if xy is your language) inside init6.gz (using changegz) 
#   (hint: if you extract busybox from tmp/busybox in file ramdisk (using changeramdisk)
#   you can save the current console keyboard layout of any linux system with the command
#   busybox dumpkmap >yourpath/keymap.xy (because this version of busybox needs no libraries) )
#keys= us or ge or sg or ru or pt or tr
keys=us
#language setting (used in mc user menu: F2)
#lng= us or ge
lng=us
#do not use compressed fonts (like font77.gz)
font=lat1u-16.psf
#the content of /usr is compressed into a ramdisk with makesquashfs,
#parameter initsqf controls if on the bootdevice a file /spblinux/init6.sqf
#is alwayes created ("new")/ created when not existing ("yes")/ is only read ("ro")
#(reading this file saves time because /usr must not be compressed when booting;
#but if different settings are loaded the content of init6.sqf is not up to date)
#cfgmnt_type=ntfs (used by cfgdev,cfgdev0, cfgdev1...)
# video settings with framebuffer (vesa+vm86d, or graphic adapter specific module)
# (if fb:x,fb:y are used, they override the resolution set by vga=... kernel parameter)
#fb:x=1024
#fb:y=768
#fb:res=16
#fb:freq=70
#use a specific fb module instead of autoprobing:
#fb:mod=sisfb
#vesafb: the resolution is defined by kernel parameter vga=... and cannot be changed
#hardware specific fb drivers: to avoid console corruption fbset is only called with fb:fbset=yes
#fb:fbset=yes
#directfb graphics drivers are automatically loaded when fb_all.bz2 loads a framebuffer driver
#(use dfb:accel=no to disable the directfb accelerated driver if the directfb driver does not work)
#dfb:accel=no
# pcname is used with samba, hostname is the unix hostname (fqdn is hotname.domainname)
pcname=SPB-Linux
hostname=rescue
domainname=local
#define entries in /etc/hosts (syntax: ip_address@hostname:ip_address2@hostname2:...)
#hosts=192.168.222.1/mainserver:192.168.222.2/printserver
#set password entry for root in /etc/shadow:
#(use script changepw to get the crypted password)
#spw=aXwRttTjgoitZ
# allow/deny ftp, telnet, ssh access:
ftp=yes
telnet=yes
ssh=yes
# network options:
# dns+gw: set gateway (route) and domain name server (dns; /etc/resolv.conf)
# (with dhcp one can set dns and gateway automatically)
# mod: try to load one (or more) of the following network card modules
#net:mod=8139too:3c59x:tlan:tulip:via-rhine:ne2k-pci
# try all nic modules if variable net:mod is not set
# (loading no network module at all: use boot parameter spblinux=...,net:mod=none,...)
net:mod=
#net configuration: 1, 2 (fixed ip), d (dhcp), n (network not loaded)
#net:config=1
#net:dns=194.230.3.136
net:dns2=
net:gw=
#net:addr=192.168.222.111
#net:addr2=192.168.222.222
#WLAN: all arguments of iwconfig can be set; e.g.: wlan:mode=managed; more info: iwconfig -h
#arguments: essid, nwid, mode, freq, channel, sens, nick, rate, trs, frag, enc, power, txpower, commit
#wlan:mode=managed
#wlan:enc=s:abcdefghijklm
#wlan:essid=abc
#wlan:rate=22M
#wlan:pci_class="28000"
#wlan:pci_id="104C:840?"
#pxe/tftp boot server: netboot=[ro|rw]; (rw: write access to tftp server
#e.g. if a small (<3kB) file initsqf1 exists, booting with kernel parameters bootd=tftp initsqf=1
# causes automatic creation of (fastboot) file initsqf1 and copies initsqf1 to the tftp server)
netboot=ro
# /etc/idemount and scdmount: ide=[yes|no|ro]; scd=[yes|no]
ide=yes
scd=no
pcmcia=yes
#printing with cups (to remote cups server or with local cupsd to postscript printer)
#cups:server=192.168.222.244
#cups:cupsd=yes
#cups:backend=parallel (or usb or socket or ipp)
#cups:backend_addr= lp0  (or lp1 or 192.168.222.245/printers/lp ...)
#cups:printername=P001 (name of the printer and of ppd-file /etc/cups/ppd/P001.ppd)
#cups:browsepoll=192.168.222.245 (polling printers from: ip-address/name of remote cups server)
#program started on first console (with up to 10 arguments; default: mc / /):
#startmount mount a device before startprog is started
#(whitespaces allowed, except in the kernel commandline)
#startprog=links
#startarg0=-g
#startarg1=http://www.8ung.at/spblinux/
#startprog=dfbsee
#startmount=/dev/sda1 /mnt -t msdos
#startarg0=-f -z -s 8
#startarg1=/mnt/dcim/100olymp/*.jpg
#X11 server: choose between monolithic XDirectFB with true transparency
# and XOrg modular server
#x=xorg (=xdfb; gets autodetected in /usr/bin/startx;
# only if both addons x=xorg overrides the default which is XDirectFB)
#only xorg: driver
#x:server=vesa   (fb_dev, i810; more servers could be copied with changebz2
# from xorg_all.tar.bz2 into xorg.bz2 (/usr/modules/drivers)
#only xorg: screen resolution etc.
#(xdfb: settings are made with vga=791 or fb:...)
#x:x=1024
#x:y=768
#x:res=16
#x:freq=75
#program started in X (default=firefox):
#x:startprog=xcalc
#x:startsu=1 (start startprog as root; usually startprog is started as user www)
#x:startarg0=-stipple
#x:desktop=1 (start xfce desktop; default =1)
#soundcard module(s) (if autodetection fails):
#snd=snd-via82xx:snd-emu10k1
#debug=yes
#addons:subdir=basics:net
#addons:use=tlan:tulip:mc_help
#addons:nouse=smb_doc:smb_cl
#addons:changefloppy=yes
#create additional ramdisks, e.g. 4MB on /aaa and 64 MB on /opt/www
#addons:mnt=4-/aaa:64-/opt/www
#quickhalt: setting this variable to yes lets the system shut down if the program started on tty1 is closed
quickhalt=no
#save home directories of user(s) (not root!) before shutting down:
#autosave:dev=hda7  (default device is the boot device)
#autosave:user=www:www2 (saved as spblinux/autosave.bz2)
#autosave:load=no (disable loading of an existing autosave.bz2 file)
#
